/**
 * # NumberPicker
 * An increment/decrement for number inputs.
 *
 * @example
 * new NumberPicker(el);
 *
 * @deprecated Remove in 2.0.0 in favor of number selector naming
 * @module components/number-picker.js
 */

/**
 * @ignore
 */
(function(root, factory) {

  'use strict';

  if (typeof define === 'function' && define.amd) {
    define(['spark/components/base', 'spark/components/number-selector'], factory);
  } else if (typeof module === 'object' && module.exports) {
    module.exports = factory(require('./base'), require('./number-selector'));
  } else {
    root.Spark = root.Spark || {};
    root.Spark.NumberPicker = factory(root.Spark.BaseComponent, root.Spark.NumberSelector);
  }
}(this, function(Base, NumberSelector) {

  'use strict';

  Base.exportjQuery(NumberSelector, 'NumberPicker');

  return NumberSelector;
}));
