'use strict';

/**
 * Export all components for use w/ CommonJS.
 * @type {Object}
 */
module.exports = {
  Base: require('./components/base'),
  CalendarPopover: require('./components/calendar-popover'),
  Carousel: require('./components/carousel'),
  DateInput: require('./components/date-input'),
  Expand: require('./components/expand'),
  Header: require('./components/header'),
  Menu: require('./components/menu'),
  Modal: require('./components/modal'),
  NumberPicker: require('./components/number-picker'),
  NumberSelector: require('./components/number-selector'),
  Popover: require('./components/popover'),
  ProgressIndicator: require('./components/progress-indicator'),
  RangeSlider: require('./components/range-slider'),
  SelectInput: require('./components/select-input'),
  Slider: require('./components/slider'),
  StepIndicator: require('./components/step-indicator'),
  Table: require('./components/table'),
  Tabs: require('./components/tabs'),
  TextInput: require('./components/text-input'),
  ToggleSwitch: require('./components/toggle-switch'),
  Toolbar: require('./components/toolbar'),
  ScrollToTop: require('./components/scroll-to-top'),
  animateHeight: require('./helpers/animate-height'),
  buildSelect: require('./helpers/build-select'),
  dateSelect: require('./helpers/date-select'),
  dateTypeahead: require('./helpers/date-typeahead'),
  date: require('./helpers/date'),
  outerHeight: require('./helpers/outer-height'),
  padNumber: require('./helpers/pad-number'),
  parseDateFormat: require('./helpers/parse-date-format'),
  transform: require('./helpers/transform'),
  typeahead: require('./helpers/typeahead'),
  debounce: require('./helpers/debounce')
};
